
package net.mcreator.crystals.potion;

import net.minecraftforge.registries.ObjectHolder;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.potion.Potion;
import net.minecraft.potion.Effects;
import net.minecraft.potion.EffectInstance;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class PridePotion {
	@ObjectHolder("crystals:pride")
	public static final Potion potionType = null;

	@SubscribeEvent
	public static void registerPotion(RegistryEvent.Register<Potion> event) {
		event.getRegistry().register(new PotionCustom());
	}

	public static class PotionCustom extends Potion {
		public PotionCustom() {
			super(new EffectInstance(Effects.SPEED, 3600, 3, false, true), new EffectInstance(Effects.GLOWING, 3600, 1, false, true),
					new EffectInstance(Effects.HERO_OF_THE_VILLAGE, 3600, 1, false, true),
					new EffectInstance(Effects.REGENERATION, 100, 25, false, true));
			setRegistryName("pride");
		}
	}
}
